> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bytez.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Models

> Retrieve a list of available models for various tasks. Use the query parameter `task` to filter by task type, e.g. `chat`.




## OpenAPI

````yaml get /models/v2/list/models
openapi: 3.0.3
info:
  title: Open Source Model API
  description: >-
    # 🚀 Get started here ✨ Link to [Bytez
    Docs](https://docs.bytez.com/model-api/docs/welcome).
  version: 1.0.0
servers:
  - url: https://api.bytez.com
    description: Production server
security: []
paths:
  /models/v2/list/models:
    get:
      summary: Models
      description: >
        Retrieve a list of available models for various tasks. Use the query
        parameter `task` to filter by task type, e.g. `chat`.
      operationId: getModels
      parameters:
        - name: task
          in: query
          description: >-
            The specific task type to filter models. Run list.tasks() for the
            full list. Some supported tasks include:

            `audio-classification`, `audio-text-to-text`,
            `automatic-speech-recognition`, `chat`, `depth-estimation`,
            `document-question-answering`, `feature-extraction`, `fill-mask`,
            `image-classification`, `image-feature-extraction`,
            `image-segmentation`, `image-text-to-text`, `image-to-text`,
            `mask-generation`, `object-detection`, `question-answering`,
            `sentence-similarity`, `summarization`, `text-classification`,
            `text-generation`, `text-to-audio`, `text-to-image`,
            `text-to-speech`, `text-to-video`, `text2text-generation`,
            `token-classification`, `translation`,
            `unconditional-image-generation`, `video-classification`,
            `video-text-to-text`, `visual-question-answering`,
            `zero-shot-classification`, `zero-shot-image-classification`,
            `zero-shot-object-detection`.
          required: false
          schema:
            type: string
            example: chat
      responses:
        '200':
          description: A successful response containing the list of models.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: null
                    description: Null if everything is fine
                  output:
                    type: array
                    description: An array of models
                    items:
                      type: object
                      properties:
                        meter:
                          type: string
                          example: sm-free
                          description: The meter is based on GPU RAM required
                        meterPrice:
                          type: string
                          example: 0.0006478333 / sec
                          description: Price per second to run model
                        modelId:
                          type: string
                          example: 0-hero/Matter-0.1-Slim-7B-C
                        params:
                          type: number
                          example: 7.24
                          description: Number of parameters in billions
                        ramRequired:
                          type: number
                          example: 29
                          description: GPU RAM required in GB
                        task:
                          type: string
                          example: chat
                      required:
                        - meter
                        - meterPrice
                        - modelId
                        - params
                        - ramRequired
                        - task
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimitError'
      security:
        - apiKeyAuth: []
components:
  responses:
    Unauthorized:
      description: Auth error - check your api key and how you're sending it.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Unauthorized
              output:
                type: string
                example: null
    RateLimitError:
      description: Too Many Requests – You have hit the rate limit.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Rate limit exceeded
              output:
                type: string
                example: null
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: |
        Set `Authorization` header to `BYTEZ_KEY` 
        ``` 'Authorization: YOUR_KEY_HERE' ```

````